/**
 * This file has been extracted and modified from Swagger UI.
 *
 * @license Apache-2.0
 * @see {@link https://github.com/swagger-api/swagger-ui/blob/master/src/core/plugins/samples/fn.js}
 */
import type * as RMOAS from '../rmoas.types';
import memoize from 'memoizee';
/**
 * Generate a piece of sample data from a JSON Schema object. If `example` declarations are present
 * they will be utilized, but generally this will generate fake data for the information present in
 * the schema.
 *
 * @param schema JSON Schema to generate a sample for.
 * @param opts Options
 * @param opts.includeReadOnly If you wish to include data that's flagged as `readOnly`.
 * @param opts.includeWriteOnly If you wish to include data that's flatted as `writeOnly`.
 * @returns A generated piece of data based off the JSON Schema that was supplied.
 */
declare function sampleFromSchema(schema: RMOAS.SchemaObject, opts?: {
    includeReadOnly?: boolean;
    includeWriteOnly?: boolean;
}): string | number | boolean | null | unknown[] | Record<string, unknown> | undefined;
declare const _default: typeof sampleFromSchema & memoize.Memoized<typeof sampleFromSchema>;
export default _default;
