
const AWS = require('aws-sdk');
const { getImgBuffer } = require('./getBuffer')


const s3Upload = async (input_path, file_name, output_path,gif_url) => { //file_name, output_path
    try {

        const buffer = await getImgBuffer(`${input_path}${file_name}`);

        let s3bucket = new AWS.S3({
            accessKeyId: process.env.vidamaze_S3_ACCESS_ID,
            secretAccessKey: process.env.vidamaze_S3_SECRET_KEY,
            region: process.env.vidamaze_S3_REGION,
            httpOptions :{
                timeout : 300000
            }
        });
        var params = {
            Bucket: process.env.vidamaze_S3_BUCKET_NAME,
            Key: `${process.env.vidamaze_S3_DIR_NAME}${output_path}${file_name}`,
            Body: buffer,
            ContentEncoding: 'base64',
            ContentType: `image/${file_name.extname}`,
            ACL: 'public-read'

        };

        // console.log(file_name.extname,file_name)
        if(gif_url)
            await s3bucket.deleteObject({
                Bucket: process.env.vidamaze_S3_BUCKET_NAME,
                Key: `${process.env.vidamaze_S3_DIR_NAME}${output_path}${gif_url.replace(/^.*[\\\/]/, '')}`
            }).promise();
        

        return new Promise((resolve, reject) => {
            s3bucket.putObject(params, (err) => {
                if (!err) {
                    resolve({ url: `${process.env.vidamaze_S3_SERVER_LINK}${process.env.vidamaze_S3_DIR_NAME}${output_path}${file_name}` })
                } else {
                    reject(err)
                }
            })
        })







    } catch (error) {
        console.log(error)
    }
}


module.exports = {
    s3Upload
}