var jwt = require("jsonwebtoken");
const db = require('../models/bootstrap')
const Op = db.Sequelize.Op;
const Users = db.user;
const authConfig = require('../config/auth-config');
const requestIp = require('request-ip');

// import { Sequelize, user as _user } from '../models/bootstrap';
// const Op = Sequelize.Op;
// const Users = _user;

auth = async (req, res, next) => {

    try {
        const token = req.header('Authorization').replace('Bearer ', '');
        // console.log(token);

        if (!token) return res.status(404).send({ message: 'Token Not Present!' })

        const decoded = jwt.verify(token, authConfig.secret);
        const user = await Users.findOne(
            {
                where: {
                    id: decoded.id
                }
            });

        if (!user) {
            throw new Error();
        }
        req.user = user;
        req._user_id = user.id;

        req._ip = requestIp.getClientIp(req);
        //   req.token = token;
        next();
    } catch (error) {
        res.status(401).send('Invalid Authentication');
    }
};

module.exports = auth;