const router = require('express').Router();
const template = require('../../controller/template.controller')
const auth = require('../../middleware/auth');

router.get('/', auth, template.fetchTemplates)
router.get('/getall', auth, template.getAllTemplates)
router.get('/getall/:page_no', auth, template.getAllTemplates)
router.get('/fetchScenes', auth, template.getScenes);
router.post('/makeFav', auth, template.makeFav);
router.post('/removeFav', auth, template.makeFav);

router.get('/updateSlide', template.updateSlides);
router.post('/createTemplate',auth, template.createTemplate);
router.get('/getTemplate/:id',auth, template.getTemplate);
router.post('/updateTemplate/:id',auth, template.updateTemplate);
router.post('/activateTemplate/',auth, template.activateTemplate);


module.exports = router;



