const creds = require('./google_keys.json');
const { GoogleSpreadsheet } = require('google-spreadsheet');


configure = async () => {

    try {

        const doc = new GoogleSpreadsheet('1VcwL20zJO5phsGcG1fKJDBE6iJPDNlz6-eWNQGuBBnk');
        // Initialize Auth - see https://theoephraim.github.io/node-google-spreadsheet/#/getting-started/authentication
        await doc.useServiceAccountAuth({
            // env var values are copied from service account credentials generated by google
            // see "Authentication" section in docs for more info
            client_email: creds.client_email,
            private_key: creds.private_key,
        });
        await doc.loadInfo();
        return doc;

    } catch (error) {
        return error
    }
}

inserSingleRow = async (rowData) => {
    try {
        const doc = await configure()
        const sheet = doc.sheetsByIndex[0]; // or use doc.sheetsById[id] or doc.sheetsByTitle[title]

        const newRow = await sheet.addRow(rowData);
        if (newRow)
            return newRow._rowNumber; //return row_number
    } catch (error) {
        return error

    }
}


insertMultiRows = async (rowData) => {
    try {
        const doc = await configure()
        const sheet = doc.sheetsByIndex[0]; // or use doc.sheetsById[id] or doc.sheetsByTitle[title]

        const multiRows = await sheet.addRows(rowData);
        /* 
         Adding 2 or more row data object
            const moreRows = await sheet.addRows([
                { name: 'Sergey Brin', email: 'sergey@google.com' },
                { name: 'Eric Schmidt', email: 'eric@google.com' },
            ]);
         */
        if (multiRows) {
            // console.log(multiRows)
            let return_row = '';
            multiRows.map(element => {
                return_row += element._rowNumber + ","
            })


            return { status: 200, response: return_row }
        }

    } catch (error) {
        return error
    }
}


getRows = async (_rowNumber) => {
    try {
        const doc = await configure();
        const sheet = doc.sheetsByIndex[0];
        const rows = await sheet.getRows(); // can pass in { limit, offset }

        if (_rowNumber >= 0) return rows


        return rows[_rowNumber]


    } catch (error) {
        return error
    }
}


deleteRow = async (_rowNumber) => {
    try {
        const doc = await configure();
        const sheet = doc.sheetsByIndex[0];
        const rows = await sheet.getRows(); // can pass in { limit, offset }
        const delete_response = await rows[_rowNumber].delete();

        if (delete_response) return true

    } catch (error) {
        return error
    }
}


module.exports = {
    inserSingleRow,
    insertMultiRows,
    getRows, // _rowNumber  = -1 return all rows and _rowNumber >= 0 fetch single row according to _rowNumber
    deleteRow,

}